=== lib/nss_wrapper/wscript ===
#!/usr/bin/env python

import Options

def set_options(opt):
	gr = opt.option_group('developer options')
	gr.add_option('--enable-nss-wrapper',
		      help=("Turn on nss wrapper library (default=no)"),
		      action="store_true", dest='enable_nss_wrapper', default=False)

def configure(conf):
    if (Options.options.enable_nss_wrapper or
	Options.options.developer or
	Options.options.enable_selftest):
        conf.DEFINE('NSS_WRAPPER', 1)
