=== lib/zlib/wscript ===
#!/usr/bin/env python

def configure(conf):
    conf.CHECK_HEADERS('zlib.h')
    conf.CHECK_FUNCS_IN('zlibVersion', 'z')

    conf.CHECK_CODE('''
                    #if (ZLIB_VERNUM >= 0x1230)
                    #else
                    #error "ZLIB_VERNUM < 0x1230"
                    #endif
                    ''',
                    headers='zlib.h',
                    local_include=False,
                    msg='Checking for ZLIB_VERNUM >= 0x1230',
                    define='HAVE_ZLIB')

def build(bld):
    if bld.CONFIG_SET('HAVE_ZLIB'):
        bld.TARGET_ALIAS('z', 'ZLIB')
    else:
        bld.SAMBA_LIBRARY('ZLIB',
                          deps='replace',
                          source='''adler32.c compress.c crc32.c gzio.c
                                    uncompr.c deflate.c trees.c zutil.c
                                    inflate.c infback.c inftrees.c inffast.c''')
