=== source4/dynconfig/wscript ===
#!/usr/bin/env python

import string, Utils, Options, sys
from samba_utils import EXPAND_VARIABLES

# list of directory options to offer in configure
dir_options = {
    'with-piddir'                         : [ '${PREFIX}/var/run', 'where to put pid files' ],
    'with-privatedir'                     : [ '${PREFIX}/private', 'Where to put sam.ldb and other private files' ],
    'with-winbindd-socket-dir'            : [ '${PREFIX}/var/lib/winbindd', 'winbind socket directory' ],
    'with-winbindd-privileged-socket-dir' : [ '${PREFIX}/var/lib/winbindd_privileged', 'winbind privileged socket directory'],
    'with-ntp-signd-socket-dir'           : [ '${PREFIX}/var/run/ntp_signd', 'NTP signed directory'],
    'with-lockdir'                        : [ '${PREFIX}/var/locks', 'where to put lock files' ]
    }

# list of cflags to use for dynconfig.c
dyn_cflags = {
    'BINDIR'                         : '${BINDIR}',
    'SBINDIR'                        : '${SBINDIR}',
    'CONFIGDIR'                      : '${SYSCONFDIR}',
    'CONFIGFILE'                     : '${SYSCONFDIR}/smb.conf',
    'LMHOSTSFILE'                    : '${SYSCONFDIR}/lmhosts',
    'PRIVATE_DIR'                    : '${PRIVATEDIR}',
    'LOGFILEBASE'                    : '${LOCALSTATEDIR}',
    'LOCKDIR'                        : '${LOCALSTATEDIR}/locks',
    'PIDDIR'                         : '${LOCALSTATEDIR}/run',
    'DATADIR'                        : '${DATADIR}',
    'SETUPDIR'                       : '${DATADIR}/setup',
    'WINBINDD_SOCKET_DIR'            : '${WINBINDD_SOCKET_DIR}',
    'WINBINDD_PRIVILEGED_SOCKET_DIR' : '${WINBINDD_PRIVILEGED_SOCKET_DIR}',
    'NTP_SIGND_SOCKET_DIR'           : '${NTP_SIGND_SOCKET_DIR}',
    'NCALRPCDIR'                     : '${LOCALSTATEDIR}/ncalrpc',
    'PYTHONDIR'                      : '${PYTHONDIR}',
    'MODULESDIR'                     : '${PREFIX}/modules',
    'INCLUDEDIR'                     : '${PREFIX}/include',
    'PKGCONFIGDIR'                   : '${LIBDIR}/pkgconfig',
    'SWATDIR'                        : '${DATADIR}/swat',
    'CODEPAGEDIR'                    : '${LIBDIR}/samba',
    'LIBDIR'                         : '${LIBDIR}',
    'STATEDIR'                       : '${LOCALSTATEDIR}',
    'CACHEDIR'                       : '${LOCKDIR}',
    'SMB_PASSWD_FILE'                : '${PRIVATEDIR}/smbpasswd',
    }

# changes for when FHS is enabled
dyn_cflags_fhs = {
    'BINDIR'                         : '${BINDIR}',
    'SBINDIR'                        : '${SBINDIR}',
    'CONFIGDIR'                      : '${SYSCONFDIR}/samba',
    'CONFIGFILE'                     : '${SYSCONFDIR}/samba/smb.conf',
    'LMHOSTSFILE'                    : '${SYSCONFDIR}/samba/lmhosts',
    'PRIVATE_DIR'                    : '${LOCALSTATEDIR}/lib/samba/private',
    'LOGFILEBASE'                    : '${LOCALSTATEDIR}/log/samba',
    'LOCKDIR'                        : '${LOCALSTATEDIR}/lib/samba',
    'PIDDIR'                         : '${LOCALSTATEDIR}/run/samba',
    'DATADIR'                        : '${DATADIR}/samba',
    'SETUPDIR'                       : '${DATADIR}/samba/setup',
    'WINBINDD_SOCKET_DIR'            : '${LOCALSTATEDIR}/run/samba/winbindd',
    'WINBINDD_PRIVILEGED_SOCKET_DIR' : '${LOCALSTATEDIR}/run/samba/winbindd_privileged',
    'NTP_SIGND_SOCKET_DIR'           : '${LOCALSTATEDIR}/run/samba/ntp_signd',
    'NCALRPCDIR'                     : '${LOCALSTATEDIR}/ncalrpc',
    'PYTHONDIR'                      : '${PYTHONDIR}',
    'MODULESDIR'                     : '${LIBDIR}/samba',
    'INCLUDEDIR'                     : '${INCLUDEDIR}/samba-4.0',
    'PKGCONFIGDIR'                   : '${LIBDIR}/pkgconfig',
    'SWATDIR'                        : '${DATADIR}/swat',
    }

def get_varname(v):
    '''work out a variable name from a configure option name'''
    if v.startswith('with-'):
        v = v[5:]
    v = v.upper()
    v = v.replace('-', '_')
    return v


def set_options(opt):
    # get all the basic GNU options from the gnu_dirs tool
    opt.add_option('--enable-fhs',
                   help=("Use FHS-compliant paths (default no)"),
                   action="store_true", dest='ENABLE_FHS', default=False)
    for option in dir_options.keys():
        default = dir_options[option][0]
        help    = dir_options[option][1]
        varname = get_varname(option)
        opt.add_option('--%s' % option,
                       help=(help + ' [%s]' % default),
                       action="store", dest=varname, default=default)

def configure(conf):
    # get all the basic GNU options from the gnu_dirs tool
    for option in dir_options.keys():
        varname = get_varname(option)
        value = getattr(Options.options, varname, None)
        conf.ASSERT(value is not None, "Missing configure option %s" % varname)
        conf.ASSERT(varname not in conf.env, "Variable %s already defined" % varname)
        conf.env[varname] = value

    for f in dyn_cflags.keys():
        v = EXPAND_VARIABLES(conf, dyn_cflags[f])
        conf.ASSERT(v != '', "Empty dynconfig value for %s" % f)
        conf.env[f] = v

    if Options.options.ENABLE_FHS:
        for f in dyn_cflags_fhs.keys():
            v = EXPAND_VARIABLES(conf, dyn_cflags_fhs[f])
            conf.ASSERT(v != '', "Empty dynconfig value for %s" % f)
            conf.env[f] = v

    if (not Options.options.ENABLE_FHS and
        (conf.env.PREFIX == '/usr' or conf.env.PREFIX == '/usr/local')):
        print("ERROR: Don't install directly under /usr or /usr/local without using the FHS option (--enable-fhs)")
        sys.exit(1)


def dynconfig_cflags(bld):
    '''work out the extra CFLAGS for dynconfig.c'''
    cflags = []
    for f in dyn_cflags.keys():
        cflags.append('-D%s="%s"' % (f, bld.env[f]))
    return cflags

def build(bld):
    cflags = dynconfig_cflags(bld)
    bld.SAMBA_SUBSYSTEM('DYNCONFIG',
                        'dynconfig.c',
                        deps='replace talloc',
                        public_headers='../version.h',
                        header_path='samba',
                        cflags=cflags)
