=== debian/changelog ===
samba4 (4.0.0~alpha13+git+bzr12984.dfsg1-0ubuntu1) maverick; urgency=low

  * New upstream snapshot. (LP: #636400)
  * Support talloc 2.0.1.
  * Update dependency for ldb to be >= 0.9.13.
  * Remove dependencies on subunit, testtools as the testsuite is not
    being run yet at build time.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 12 Sep 2010 14:52:04 +0200

samba4 (4.0.0~alpha13+git+bzr12785.dfsg1-1) experimental; urgency=low

  * Install provision scripts to /usr/share/samba/setup.
  * Move nsstest from samba4 to winbind4.
  * Support building against tdb 1.2.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 10 Sep 2010 17:45:20 +0200

samba4 (4.0.0~alpha13+git+bzr12687.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
  * Mark as compatible with older versions of tdb (>= 1.2.2).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 08 Sep 2010 03:30:03 +0200

samba4 (4.0.0~alpha13+git+bzr12670.dfsg1-1) experimental; urgency=low

  * Add missing dependency on pkg-config.
  * Require subunit >= 0.0.6, older versions have a broken tap2subunit.
  * Debconf translations:
    - Swedish (Martin Bagge).  Closes: #586819
  * New upstream snapshot.
    - Fixes symbols for LDB modules. Closes: #594763, #594771, #594773.
  * Require tdb 1.2.3. Closes: #595644

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 05 Sep 2010 17:34:46 +0200

samba4 (4.0.0~alpha13+git+bzr12292.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes provision to be able to find the data path again.
  * Depend on libreadline-dev rather than libreadline5-dev. Closes: #553846
  * Suggest swat2.
  * Migrate to Bazaar.
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Aug 2010 02:38:51 +0200

samba4 (4.0.0~alpha13+git20100618.dfsg1-1) experimental; urgency=low

  [ Jelmer Vernooij ]
  * New upstream snapshot. Closes: #578009, #577880
   + Add dependency on python-dnspython.
   + Removes last Python string exception. Closes: #585327
   + Installs all display specifiers. Closes: #548911

  [ Christian Perrier ]
  * Debconf translations:
    - Swedish (Martin Bagge).  Closes: #552734
    - Russian (Yuri Kozlov).  Closes: #563346
    - Spanish (Omar Campagne).  Closes: #579099

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 28 Feb 2010 02:33:37 +0100

samba4 (4.0.0~alpha8+git20100227.dfsg1-1) experimental; urgency=low

  * Fix sections of libndr-standard0 and libndr0.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 11:19:07 +0100

samba4 (4.0.0~alpha8+git20100222.dfsg1-1) experimental; urgency=low

  [ Christian Perrier ]
  * Change "Provides:" in init script to avoid conflicting Provides
    with samba. Closes: #547209
  * Swedish debconf translation (Martin Bagge).  Closes: #552734

  [ Jelmer Vernooij ]
  * Depend on specific version of libldb. Closes: #562389
  * Build against system Heimdal and remove the copy of Heimdal from the 
    Samba 4 source tree, since it contains non-free IETF RFC/I-D.
    Closes: #547280
  * Bump standards version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 03 Feb 2010 15:17:20 +0100

samba4 (4.0.0~alpha8+git20090912-1) unstable; urgency=low

  * Upload to unstable.
  * Fix nmblookup.1.gz filename for alternatives.
  * New upstream snapshot.
   + Add new binary packages libndr-standard0 and libndr-standard-dev.
  * Bump standards version to 3.8.3.
  * Remove unused patch system.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Sep 2009 13:28:33 +0200

samba4 (4.0.0~alpha8+git20090718-1) experimental; urgency=low

  * New upstream snapshot.
  * The server package now suggests a version of bind9 that supports 
    update-policy.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 17:34:30 +0200

samba4 (4.0.0~alpha8~git20090620-1) experimental; urgency=low

  * Support building against Python2.6.
  * Add missing dependency on tdb >= 1.1.3. (Closes: #517171)
  * Add missing dependencies on tdb-dev and libtalloc-dev to
    libldb-samba4-dev. (Closes: #525885)
  * Use newer version of tevent. (Closes: #531480, #533457, #533455)
  * New upstream snapshot.
  * Bump standards version to 3.8.2.
  * Reorganization to let Samba 3 and Samba 4 co-exist on the same system:
   + Depend on samba-common for smb.conf, /etc/samba/gdbcommands,
     /usr/share/samba/{panic-action,*.dat}.
   + Rename samba4-common to samba4-common-bin.
  * samba4-testsuite now recommends subunit, since it can output subunit
    streams.
  * Document license for Active Directory schemas.
  * Fix init script to run samba rather than smbd. (Closes: #522646)
  * Removed libldb-samba4-{dev,0}, now using libldb{-dev,0} since there
    are no longer any differences.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Jun 2009 00:19:44 +0200

samba4 (4.0.0~alpha7~20090225-1) experimental; urgency=low

  * Build-depend on pkg-config, as we no longer seem to pull that in 
    through any other dependencies. (Closes: #516882)

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 25 Feb 2009 04:04:36 +0100

samba4 (4.0.0~alpha7~20090223-1) experimental; urgency=low

  * Add build dependency on libpopt-dev, so the system libpopt is always used 
    rather than the one included by Samba.
  * Use the alternatives system for the smbstatus, nmblookup, net and testparm 
    binaries as well as various data files.
  * Make the samba4 and samba4-testsuite packages conflict with 
    samba-tools. (Closes: #506236)
  * Build against external libtevent.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 21 Feb 2009 17:46:41 +0100

samba4 (4.0.0~alpha6-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Jan 2009 02:59:15 +0100

samba4 (4.0.0~alpha5+20090105-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 05 Jan 2009 21:08:53 +0100


