=== debian/control ===
Source: samba4
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samba Debian Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Steinar H. Gunderson <sesse@debian.org>, Jelmer Vernooij <jelmer@debian.org>
Homepage: http://www.samba.org/
Standards-Version: 3.9.1
Build-Depends: debhelper (>> 5.0.0), libparse-yapp-perl, perl, docbook-xsl, docbook-xml, xsltproc, po-debconf, libgnutls-dev, libreadline5-dev, libpam0g-dev, libblkid-dev, libattr1-dev, flex, bison, libtdb-dev (>= 1.2.1~), libtalloc-dev (>= 2.0.1~), libtevent-dev (>= 0.9.9~), perl-modules, python-dev, python-central (>= 0.5.6), libpopt-dev, pkg-config, samba-common (>= 2:3.4.0~pre2), libldb-dev (>= 1:0.9.13~), python-ldb, python-tdb, zlib1g-dev (>= 1:1.2.3), heimdal-multidev (>= 1.4~), python-dnspython
Vcs-Browser: http://bzr.debian.org/lh/pkg-samba/samba4/unstable
Vcs-Bzr: http://bzr.debian.org/pkg-samba/samba4/unstable
XS-Python-Version: current
DM-Upload-Allowed: yes

Package: samba4
Architecture: any
Recommends: samba-ldb-tools
Suggests: bind9 (>= 1:9.5.1), phpldapadmin, swat2
Conflicts: samba-tools, samba (<< 2:3.3.0~rc2-5)
Depends: ${shlibs:Depends}, ${misc:Depends}, samba4-common-bin (=${source:Version}), python, python-samba, ${python:Depends}, python-dnspython
XB-Python-Version: ${python:Versions}
Description: SMB/CIFS file, print and logon server (version 4)
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production.
 .
 This package contains smbd, the Samba file, print and domain server.

Package: samba4-common-bin
Architecture: all
Depends: ${misc:Depends}, samba-common (>= 2:3.4.0~pre2-1), ${python:Depends}
Conflicts: samba (<< 2:3.3.0~rc2-5), samba-common (<< 2:3.3.0~rc2-5)
Replaces: samba4-common (<< 2:3.4.0~pre2-1), samba4-common (<< 4.0.0~alpha7-1)
XB-Python-Version: ${python:Versions}
Description: Samba 4 common files used by both the server and the client
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the samba-clients
 package).

Package: samba4-clients
Architecture: any
Depends: ${shlibs:Depends}, samba4-common-bin (=${source:Version}), ${misc:Depends}
Conflicts: smbclient, samba-common (<< 2:3.3.0~rc2-5)
XB-Python-Version: ${python:Versions}
Provides: smbclient
Description: client utilities from Samba 4
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, net,
 and some ACL tools.

Package: samba4-testsuite
Architecture: any
Conflicts: samba-tools
Recommends: subunit
Depends: ${shlibs:Depends}, samba4-common-bin, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: test suite from Samba 4
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains programs for testing the reliability and speed
 of SMB servers, Samba in particular.

Package: registry-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: tools for viewing and manipulating the Windows registry
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production.
 .
 This package contains tools for viewing and manipulating the binary
 "registry" found on Windows machines, both locally and remote.

Package: libparse-pidl-perl
Architecture: any
Depends: ${perl:Depends}, libparse-yapp-perl, ${misc:Depends}
Recommends: libdcerpc-dev
Section: perl
XB-Python-Version: ${python:Versions}
Description: IDL compiler written in Perl
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains the IDL (Interface Description Language) compiler pidl,
 which takes in IDL files and can output C code for various uses. It is
 primarily of interest to developers.

Package: samba4-dev
Architecture: any
Depends: libparse-pidl-perl, libc6-dev, libldb-dev, libtdb-dev (>= 1.1.0), libtalloc-dev, ${misc:Depends}
Section: devel
XB-Python-Version: ${python:Versions}
Description: tools for extending Samba
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba. These should be considered _experimental_, and should
 not be used in production.
 .
 This package contains include files shared by the various Samba-based
 libraries.

Package: samba-ldb-tools
Section: utils
Architecture: any
Provides: ldb-tools
Conflicts: ldb-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: LDAP-like embedded database - tools
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains bundled test and utility binaries built specifically
 for Samba.

Package: libgensec0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (>= 2:3.4.0~pre2-1)
XB-Python-Version: ${python:Versions}
Description: Generic Security Library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 This library provides a generalized API for several security protocols.

Package: libgensec-dev
Architecture: any
Section: libdevel
Depends: libgensec0 (=${binary:Version}), pkg-config, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Generic Security Library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 This library provides a generalized API for several security protocols.
 .
 This package contains the files required for development.

Package: libndr0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: NDR marshalling library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains the library for encoding and decoding data structures
 using the Network Data Representation format as used by DCE/RPC.

Package: libndr-dev
Architecture: any
Section: libdevel
Depends: libndr0 (=${binary:Version}), pkg-config, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: NDR marshalling library - development files
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains the library for encoding and decoding data structures
 using the Network Data Representation format as used by DCE/RPC.
 .
 This package contains the files required for development.

Package: libndr-standard0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Standard NDR interfaces
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains NDR encoders/decoders for the set of standard
 DCE/RPC interfaces found on Windows and Samba servers.

Package: libndr-standard-dev
Architecture: any
Section: libdevel
Depends: libndr-standard0 (=${binary:Version}), pkg-config, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Standard NDR interfaces - development files
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 This package contains NDR encoders/decoders for the set of standard
 DCE/RPC interfaces found on Windows and Samba servers.
 .
 This package contains the files required for development.

Package: libdcerpc0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: DCE/RPC client library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
 These packages contain snapshot versions of Samba 4, the next-generation
 version of Samba.
 .
 Client-side implementation of the DCE/RPC protocol.
 Support for the following transports is provided:
  - ncacn_np
  - ncacn_ip_tcp
  - ncalrpc
  - ncacn_sock_unix

Package: libdcerpc-dev
Architecture: any
Section: libdevel
Depends: libdcerpc0 (=${binary:Version}), libndr-dev, pkg-config, ${misc:Depends}, libsamba-util-dev
XB-Python-Version: ${python:Versions}
Description: DCE/RPC library
 The Samba software suite is a collection of programs that
 implements the SMB protocol for unix systems, allowing you to serve
 files to Windows, NT, OS/2 and DOS clients, as well as
 run as a domain controller for Active Directory.
 .
